 /*
 *      CSS File for the system... 07/09/2023
 */
 
fieldset {border: 1px black solid;}
legend {margin-left: 10px; font-weight: bold; font-style: italic;}
 
#home { 
    font-family: sans-serif;
    font-size: 12px;
    width: 1150px;   /* Normal number is 1250 */
    margin: 0 auto;
}

/** TO BE REMOVED, USE NW PHP FUNTION. SEE: request_docuemnt.php **/
#listheader {
    width: 1150px;
    margin: 0 auto;
    font-size: 14px;
    border-bottom: 1px solid black;
    margin-bottom: 5px;
    background: lightgoldenrodyellow;
}

#container {
    width:1142px;   /* Normal number is 1250 */
    margin: 0 auto;
    padding: 2px;
    background: #D4E6F4;
    border: 2px solid #eee;
}  

#listcontainer {
    max-width: 1150px; /* Normal number was 1268 */
    margin: 0 auto;
    padding: 1px;
    /*border: solid red 1px; */
}   

#containerform {
    float: left;
    /*display: inline-block;*/    
}

.containerdiv {             /* used to be header_list */
    text-align: right;
}

#editor {
    margin: 0 auto;
    padding: 3px;
    width: 1000px;
    background: #D4E6F4;
    border: 3px solid #eee;
}

/** TO BE REMOVED, USE NW PHP FUNTION. SEE: request_docuemnt.php **/
#editheader {     
    width: 1100px;
    border-bottom: 1px solid black;
    margin: 5px;
    line-height: 20px;
    background: lightgoldenrodyellow;
}

.editorlinediv {
    height: 42px;
    /* border: 1px solid red; */
}

.editorlinediv > div {
    float: left;
    padding-right: 15px;
    /*border: 1px solid greenyellow;*/
}

.editorlinediv label {
    display: table-cell;
    font-weight: bold;
    padding-top: 2px;
    font-style: italic;
}

.editorcommentdiv  {
    height: 95px;
}

#editorcommentbutton {
    margin-top: 27px;    
}

#editorsubmit {
    text-align: center;
    margin: 15px;
}

#editorsubmit input, #editorsubmit button {
    margin: 0 15px;
    width: 130px;
    padding: 0px;
    /*font-size: 12px;*/
}

.mySelect {                 /* Is needed due to the two next rules */
    margin: 0;
    width: 270px;
    /*border: 1px solid blue;*/
}

.mySelectSub {                 /* Is needed due to the two next rules */
    width: 290px;
}

.mySelect span {                    /* Use on Day_`_Emp code*/
    margin-top: 1em;
    font-weight: bold;
    font-family: New Roman;
    /*border: 2px solid green;*/
}

.mySelect div {                     /* Use on Day_Work_Emp code*/
    /*width: 250px;*/
    margin-left: 0px;
    padding-left: 0px;
    /*word-wrap: normal;*/
    /*border: 2px solid red; */
}

#addButton {                        /* Use on Day_Work_Emp code*/
    padding-top: 10px;
    width: 270px;
   /* border: 1px solid green;*/
}

#addButtonWide {                   /* Use on payroll_week*/
    padding-top: 10px;
    width: 130px;
    /*border: 1px solid green;*/
}

#addButtonWide button {            /* Use on payroll_week*/
    width: 130px;
}

.editorlinemyselectdiv {            /* Use on Day_Work_Emp code*/
    height: 75px;
}

.editorempcommentdiv {              /* Use on Day_Work_Emp code*/
    height: 35px;
}

.editorlinedivhours {              /* Use on Payroll_Emp_Edit code*/
    height: 60px;
    /* border: 1px solid green; */
}

.editorlinedivhours input {              /* Use on Payroll_Emp_Edit code*/
    width: 70px;
    text-align: center;
}

.editorlinedivvalues {              /* Use on Payroll_Emp_Edit code*/
    height: 60px;
    /* border: 1px solid red; */
}

.editorlinedivvalues input {              /* Use on Payroll_Emp_Edit code*/
    width: 100px;
    direction: rtl;
}

#theSubmit { margin-top: 10px;}

#theSubmit button {
    margin: 0 15px;
    width: 120px;
}

/* Table listing reports and info... */
.header1 {                /* Header for the Phase Header of the report Employye_Day_work */
    /*margin: 0 auto;*/
    margin-bottom: 1px;
    border-bottom: solid black 1px;
}

.table1 {               /* Table for the Phase Header of the report of Employye_Day_work */
    /*border: 2px solid green;*/
    margin: 0 auto;
}

.tableheader {
    /*margin: 100px;*/
    background: #B2B2B2;
    font-weight: bold;
}

tr:nth-child(even) {
    background: #EAEAEA;
}

.totaldiv {
    /*margin: 100px;*/
    background: #DDD;
    border-top: 1px solid black;
    border-bottom: 1px solid black;
}

.totals {
    display: inline-flex;
    margin: 0 auto;
    padding-right: 50px;
    font-weight: bold;
}

.error {            /*Use to show a temporary msg on screen */
    background: orangered;
    color: #fff;
/*    display: inline-block; */
    width: 100%;
    font-size: 16px;
}


/* CODE FOR tooltip use */
.tooltip {
  position: relative;
  display: inline-block;
  /* border-bottom: 1px dotted black; */
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 160px;
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 50%;
  margin-left: -60px;
  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

.reportradio1 {                 /*use on lis_pjworkedon.php*/
    margin-left: 10px;
    
}
.reportradio2 {                 /*use on lis_pjworkedon.php*/
    margin: 5px;
    display: inline-block;  
}

/* Remove Arrows from input numbers...  Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
/* Remove Arrows from input numbers...  Firefox */
input[type=number] {
-moz-appearance: textfield;
}


/* web Page Footer */
#footer { border: solid 1px black; height: 1.5em; background: #0E95FA; display: grid; grid-template-columns: 1fr 1fr 1fr; }
#copyright { height: 100%; align-content: center; text-align: center; font-weight: bold; font-size: 110%; color: #D4E6F4; }
#version { height: 97%; margin-right: 10px; align-content: flex-end; text-align: right; color: black; font-size: 80%; font-weight: normal; }
